<?php
/* @var \Vehica\Search\Field\SearchField|\Vehica\Search\Field\TaxonomySearchField $vehicaSearchField */
/* @var \Vehica\Widgets\General\SearchV1GeneralWidget $vehicaCurrentWidget */
global $vehicaSearchField, $vehicaCurrentWidget;
?>
<div class="vehica-search__field vehica-relation-field <?php echo esc_attr($vehicaSearchField->getClass()); ?>">
    <vehica-taxonomy-search-field
            :taxonomy="<?php echo htmlspecialchars(json_encode($vehicaSearchField)); ?>"
            :filters="searchFormProps.filters"
            :terms="<?php echo htmlspecialchars(json_encode($vehicaSearchField->getTermsList())); ?>"
            when-empty="<?php echo esc_attr($vehicaSearchField->whenTermEmpty()); ?>"
            :terms-count="searchFormProps.terms"
            placeholder="<?php echo esc_attr($vehicaSearchField->getPlaceholder()); ?>"
            :disable-sort="<?php echo esc_attr($vehicaSearchField->disableSort() ? 'true' : 'false'); ?>"
        <?php if ($vehicaSearchField->disableUntilParentSelected()) : ?>
            :disable-until-parent-selected="true"
        <?php endif; ?>
        <?php if ($vehicaSearchField->sortByCount()) : ?>
            :sort-by-count="true"
        <?php endif; ?>
    >
        <div
                slot-scope="taxonomyField"
                class="vehica-taxonomy-select"
                :class="{'vehica-active-taxonomy': taxonomyField.selectedTerms.length > 0}"
        >
            <?php if ($vehicaSearchField->isSelectControl()) : ?>
                <div v-if="false" class="vehica-form-button">
                    <?php echo esc_html($vehicaSearchField->getPlaceholder()); ?>
                </div>

                <template>
                    <v-select
                            label="name"
                            :options="taxonomyField.options"
                            :value="taxonomyField.getTerm(taxonomyField.selectedTerm)"
                            @input="taxonomyField.setTerm"
                            :append-to-body="false"
                            :disabled="taxonomyField.disableField"
                            placeholder="<?php echo esc_attr($vehicaSearchField->getPlaceholder()); ?>"
                            :selectable="option => option.count > 0"
                        <?php if ($vehicaSearchField->searchable()) : ?>
                            :searchable="true"
                        <?php else : ?>
                            :searchable="false"
                        <?php endif; ?>
                    >
                        <template #option="option">
                            <div class="vehica-option">
                                <span v-html="option.name"></span>
                                <?php if ($vehicaSearchField->showTermCount()) : ?>
                                    <template v-if="option.count">
                                        <span class="vehica-option__count">({{ option.count }})</span>
                                    </template>
                                <?php endif; ?>
                            </div>
                        </template>

                        <template #selected-option="option">
                            <span class="vehica-option-selected">
                                <span v-html="option.name"></span>
                            </span>
                        </template>

                        <template #no-options="{ search, searching, loading }">
                            <div class="vehica-option">
                                <span><?php echo esc_html(vehicaApp('no_options_string')); ?></span>
                            </div>
                        </template>
                    </v-select>
                </template>
            <?php elseif ($vehicaSearchField->isMultiSelectControl()) : ?>
                <div v-if="false" class="vehica-form-button">
                    <?php echo esc_html($vehicaSearchField->getPlaceholder()); ?>
                </div>

                <template>
                    <v-select
                            label="name"
                            :options="taxonomyField.options"
                            :value="taxonomyField.getTerms(taxonomyField.selectedTerms)"
                            @input="taxonomyField.setTerms"
                            :append-to-body="false"
                            :disabled="taxonomyField.disableField"
                            :multiple="true"
                            placeholder="<?php echo esc_attr($vehicaSearchField->getPlaceholder()); ?>"
                            :selectable="option => option.count > 0"
                        <?php if ($vehicaSearchField->searchable()) : ?>
                            :searchable="true"
                        <?php else : ?>
                            :searchable="false"
                        <?php endif; ?>
                    >
                        <template #option="option">
                            <div class="vehica-option">
                                <span v-html="option.name"></span>
                                <?php if ($vehicaSearchField->showTermCount()) : ?>
                                    <template v-if="option.count">
                                        <span class="vehica-option__count">({{ option.count }})</span>
                                    </template>
                                <?php endif; ?>
                            </div>
                        </template>

                        <template #selected-option="option">
                            <span class="vehica-option-selected">
                                <span v-html="option.name"></span>
                            </span>
                        </template>

                        <template #selected-option-container="{ option, deselect, multiple, disabled }">
                            <div class="vs__selected">
                                <span class="vehica-option-selected"><span v-html="option.name"></span></span>
                            </div>
                        </template>

                        <template #no-options="{ search, searching, loading }">
                            <div class="vehica-option">
                                <span><?php echo esc_html(vehicaApp('no_options_string')); ?></span>
                            </div>
                        </template>
                    </v-select>
                </template>
            <?php endif; ?>
        </div>
    </vehica-taxonomy-search-field>
</div>